<template>

  <div id="app">
     <v-app>
      <v-dialog
        v-model="dialog"
        persistent
        max-width="600px"
        min-width="360px"
      >
        <div>
          <v-tabs
            v-model="tab"
            show-arrows
            background-color="green"
            icons-and-text
            dark
            grow
          >
            <v-tabs-slider color="green" />
            <v-tab>
              <h3>
                LOGIN VIA PIM ACCOUNT
              </h3>
            </v-tab>
            <v-tab-item>
              <v-overlay :value="overlay">
                <v-progress-circular
                  indeterminate
                  size="64"
                ></v-progress-circular>
            </v-overlay>
              <v-card class="px-4">
                <v-card-text>
                  <v-form
                    ref="loginForm"
                    v-model="valid"
                    lazy-validation
                  >
                    <v-row>
                      <v-col cols="12">
                        <v-text-field
                          v-model="loginEmail"
                          :rules="loginEmailRules"
                          label="E-mail"
                          required
                        />
                      </v-col>
                      <v-col cols="12">
                        <v-text-field
                          v-model="loginPassword"
                          :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
                          :rules="[rules.required, rules.min]"
                          :type="show1 ? 'text' : 'password'"
                          name="input-10-1"
                          label="Password"
                          hint="At least 8 characters"
                          counter
                          @click:append="show1 = !show1"
                        />
                      </v-col>
                      <v-col
                        class="d-flex xsm"
                        cols="12"
                        sm="6"
                      />
                      <v-col
                        class="d-flex xsm align-end"
                        cols="12"
                        sm="3"
                      >
                      </v-col>
                      <v-col
                        class="d-flex xsm align-end"
                        cols="12"
                        sm="3"
                      >
                        <v-btn
                          x-large
                          block
                          :disabled="!valid"
                          color="success"
                          @click="validate"
                        >
                          PIM Login
                        </v-btn>
                      </v-col>
                    </v-row>
                  </v-form>
                </v-card-text>
              </v-card>
            </v-tab-item>
          </v-tabs>
        </div>
        
      </v-dialog>
    
    </v-app>
  </div>
  
</template>

<script>
  import axios from 'axios'
  import config from '../config/config'
  export default {
    data: () => ({
      dialog: true,
      counter: 0,
      tab: 0,
      tabs: [
        { name: 'Login', icon: 'mdi-account' },
      ],
      valid: true,
      firstName: '',
      lastName: '',
      email: '',
      password: '',
      verify: '',
      loginPassword: '',
      loginEmail: '',
      loginEmailRules: [
        (v) => !!v || 'Required',
        // (v) => /.+@.+\..+/.test(v) || 'E-mail must be valid',
      ],
      emailRules: [
        (v) => !!v || 'Required',
        (v) => /.+@.+\..+/.test(v) || 'E-mail must be valid',
      ],

      show1: false,
      rules: {
        required: (value) => !!value || 'Required.',
        min: (v) => (v && v.length >= 8) || 'Min 8 characters',
      },
      overlay: false,
    }),
    computed: {
      passwordMatch () {
        return () => this.password === this.verify || 'Password must match'
      },
    },
    created: function () {
      const expire = 1000000
      this.$cookies.set('keyCK', 'value', expire);
    },
    methods: {
      setText () {
        this.counter++
        if (this.counter === 5) {
          this.loginEmail = ''
          this.loginPassword = ''
          this.counter = 0
        }
      },
      async validate () {
        this.overlay = true;
        if (this.$refs.loginForm.validate()) {
          // submit form to server/API here...
          let self = this;
          let boardList = null; 
          const usr = {
            userName: this.loginEmail,
            pwd: this.loginPassword,
          }

          await axios
            .post(`${config.API_JIRA}/api/jiraLogin`, usr)
            .then(function (response) {
              // self.chiTieuList = response.data.data
              console.log("response", response);
              boardList = response.data.boardList;
              console.log("response.data.data", JSON.stringify(boardList));
              self.$cookies.set('boardList', JSON.stringify(response.data.boardList));
              self.$cookies.set('boardList2', "JSON.stringify(response.data.boardList)");
              self.$cookies.set('userName', self.loginEmail);
              self.$cookies.set('pwd', self.loginPassword);
      

              if (
                boardList == undefined ||
                boardList == null ||
                boardList.length <= 1 ||
                boardList[0] == null
              ) {
              // self.$router.push({ name: 'Login' });
              } else {
                self.$router.push({ name: 'Jira Logtime' })
              }

              console.log('login:', response.data.data)
              self.overlay = false;
            })
        }
      },
      reset () {
        this.$refs.form.reset()
      },
      resetValidation () {
        this.$refs.form.resetValidation()
      },
    },
  }
</script>
